Package org.apache.cxf.interceptor.security.callback

# Interface CallbackHandlerProvider

All Known Implementing Classes:
  `CallbackHandlerProviderAuthPol`, `CallbackHandlerProviderUsernameToken`, `CallbackHandlerTlsCert`

public interface CallbackHandlerProvider
Create a suitable CallbackHandler for the given message. For example if the message contains username and password the Callbackhandler should supply these.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CallbackHandler`
  `create(Message message)`

- ## Method Details

  - ### create

    CallbackHandler create(Message message)